Name:           perl-Test-DiagINC
Version:        0.008
Release:        4%{?dist}
Summary:        List modules and versions loaded if tests fail
License:        ASL 2.0

URL:            https://metacpan.org/release/Test-DiagINC
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/Test-DiagINC-%{version}.tar.gz

BuildArch:      noarch
# build requirements
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# runtime requirements
BuildRequires:  perl(B)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# test requrements
BuildRequires:  perl(Capture::Tiny) >= 0.21
BuildRequires:  perl(Config)
BuildRequires:  perl(Test::More)
Requires:       perl(B)
Requires:       perl(Cwd)
Requires:       perl(File::Spec)
Requires:       perl(strict)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`/usr/bin/perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
Assuming you shipped your module to CPAN with working tests, test failures
from CPAN Testers might be due to platform issues, Perl version issues or
problems with dependencies. This module helps you diagnose deep dependency
problems by showing you exactly what modules and versions were loaded
during a test run.

%prep
%setup -q -n Test-DiagINC-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{make_build} test

%files
%doc Changes CONTRIBUTING.mkdn README examples
%license LICENSE
%{perl_vendorlib}/Test*
%{_mandir}/man3/Test*

%changelog
* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.008-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Jitka Plesnikova <jplesnik@redhat.com> - 0.008-3
- Perl 5.34 rebuild

* Tue Feb 02 2021 Emmanuel Seyman <emmanuel@seyman.fr> - 0.008-2
- Take into account review feedback (#1922774)

* Sun Jan 31 2021 Emmanuel Seyman <emmanuel@seyman.fr> - 0.008-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
